// ProObjWidePoly.cpp : _xZkqqHx_iDeDiDjDiDhGiDiKiDiBiDjDiDgFiBfLiDfGiDiHiDjD_xHqqkZx_ _xZkqqHx_iDhEiDeAiDeDiDiL_xHqqkZx_
//

#include "stdafx.h"
#include "DynamicDraw.h"
#include "ProObjWidePoly.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFCProObjWidePoly _xZkqqHx_iDhGiDiNiDhAiDgFiDeC_xHqqkZx_ _xZkqqHx_iDhJiBfLiDfH_xHqqkZx_

IMPLEMENT_DYNCREATE(CFCProObjWidePoly, CFCProObjProperty)

CFCProObjWidePoly::CFCProObjWidePoly () : CFCProObjProperty(CFCProObjWidePoly::IDD)
{
	//{{AFX_DATA_INIT(CFCProObjWidePoly)
		// _xZkqqHx_iDiBiDiC_xHqqkZx_ - ClassWizard _xZkqqHx_iCmNiClBiCmMiImKjChFiCmJiDiBiDjDiDgPiCmMiPiJiKpKiJlLiPiIjHjNiCpAjCmHiJmBiClFiCnMiClHiBeC_xHqqkZx_
	//}}AFX_DATA_INIT

	// _xZkqqHx_iDiBiDgCiDfKiBfLiDfHiPiIjHjNjCiGiCmMiDhEiDiJiDePiCpAjAnNjCoIiBeC_xHqqkZx_
	m_bProhibitMsg = TRUE;
} // CFCProObjWidePoly::CFCProObjWidePoly.

CFCProObjWidePoly::~CFCProObjWidePoly ()
{
} // CFCProObjWidePoly::~CFCProObjWidePoly.

void CFCProObjWidePoly::DoDataExchange(CDataExchange* pDX)
{
	CFCProObjProperty::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFCProObjWidePoly)
	DDX_Control(pDX, IDC_WPL_STC_SLOPE_SAMPLE, m_stcSlopeSample);
	//}}AFX_DATA_MAP
} // CFCProObjWidePoly::DoDataExchange.


BEGIN_MESSAGE_MAP(CFCProObjWidePoly, BASE_CLASS)
	//{{AFX_MSG_MAP(CFCProObjWidePoly)
	ON_CBN_EDITCHANGE(IDC_WPL_CMB_POLY_WIDTH_F, OnEditchangeWplCmbPolyWidthF)
	ON_CBN_SELCHANGE(IDC_WPL_CMB_POLY_WIDTH_F, OnSelchangeWplCmbPolyWidthF)
	ON_CBN_CLOSEUP(IDC_WPL_CMB_POLY_WIDTH_F, OnCloseupWplCmbPolyWidthF)
	ON_CBN_EDITCHANGE(IDC_WPL_CMB_POLY_WIDTH_B, OnEditchangeWplCmbPolyWidthB)
	ON_CBN_SELCHANGE(IDC_WPL_CMB_POLY_WIDTH_B, OnSelchangeWplCmbPolyWidthB)
	ON_CBN_CLOSEUP(IDC_WPL_CMB_POLY_WIDTH_B, OnCloseupWplCmbPolyWidthB)
	ON_COMMAND(ID_DIALOG_INIT_VALUE, OnDialogInitValue)
	ON_WM_CTLCOLOR()
	ON_CBN_SELCHANGE(IDC_WPL_CMB_POLY_WIDTH_SLOPE, OnSelchangeWplCmbPolyWidthSlope)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFCProObjWidePoly _xZkqqHx_iDiBiDgCiDfKiBfLiDfH_xHqqkZx_ _xZkqqHx_iDgOiDjDiDgIiDiJ_xHqqkZx_

